<div class="container" style="padding-top: 2vh;">
    <form [formGroup]="form" (ngSubmit)="send()" style="padding-bottom: 2vh;">
        <div class="form-row">
            <label for="username">Username</label>
            <input class="form-control" name="username" type="text" placeholder="Username" formControlName="username"
                [ngClass]="{'invalid': submitted && (f.username.errors || f.username.usernameTaken) }">
        </div>
        <div class="form-row">
            <label for="email">Email address</label>
            <input class="form-control" name="email" type="email" placeholder="Email" formControlName="email"
                [ngClass]="{'invalid': submitted && f.email.errors}">

        </div>
        <div class="form-row">
            <label for="psw">Password</label>
            <input class="form-control" name="psw" type="password" placeholder="Password" formControlName="password"
                [ngClass]="{'invalid': submitted && f.password.errors}">
        </div>
        <div class="form-row">
            <label for="re-psw">Confirm password</label>
            <input class="form-control" name="re-psw" type="password" placeholder="Confirm Password"
                formControlName="confirmPassword" [ngClass]="{'invalid': submitted && f.confirmPassword.errors}">
        </div>
        <div class="invalid-tooltip" *ngIf="submitted && f.password.errors">
            The passwords did not match
        </div>
        <div class="row justify-content-center" style="margin-top: 2vh;">
            <div class="col-lg-2 col-md-6 col-6 text-center">
                <button type="submit" class="btn btn-primary">Register</button>
            </div>
            <div class="col-lg-2 col-md-6 col-6 text-center">
                <button type="reset" class="btn btn-danger">Reset</button>
            </div>
        </div>
        <div class="alert alert-danger" *ngIf="error" style="padding-top: 2vh">The inserted data was incorrect. Check your input and try again</div>
    </form>
</div>